components:
  schemas:
    NVMeDomain_v1_2_0_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/NVMeDomain_v1_2_0_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    NVMeDomain_v1_2_0_DomainContents:
      additionalProperties: false
      description: This structure contains properties that define the contents of
        the domain.
      properties:
        Controllers:
          description: Contains the current controllers that are part of this domain.
            These can be IO, Admin, or discovery controllers.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          type: array
          x-longDescription: Contains the current controllers that are part of this
            domain. These can be IO, Admin, or discovery controllers.
          x-versionAdded: v1_2_0
        Controllers@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Namespaces:
          description: Contains the current namespaces that are part of this domain.
            These can be IO, Admin, or discovery controllers.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          type: array
          x-longDescription: Contains the current namespaces that are part of this
            domain. These can be IO, Admin, or discovery controllers.
          x-versionAdded: v1_2_0
        Namespaces@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
      type: object
      x-longDescription: This structure shall contain properties that define the contents
        of the domain.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    NVMeDomain_v1_2_0_Links:
      additionalProperties: false
      description: The links to other resources that are related to this resource.
      properties:
        AssociatedDomains:
          description: An array of links to associated domains.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of links to resources
            of type NVMeDomain that represent associated domains.
        AssociatedDomains@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties contained in this object shall conform to the Redfish
            Specification-described requirements.
      type: object
      x-longDescription: This Redfish Specification-described type shall contain links
        to resources that are related to but are not contained by or subordinate to
        this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    NVMeDomain_v1_2_0_NVMeDomain:
      additionalProperties: false
      description: Properties for the Domain.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        ANAGroupId:
          description: The ANA group id for all namespaces within the domain.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This shall contain the ANA group id which applies to
            all namespaces within the domain.  This corresponds to the value in the
            ANAGroupId field in volume.
          x-versionAdded: v1_2_0
        Actions:
          $ref: '#/components/schemas/NVMeDomain_v1_2_0_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
        AvailableFirmwareImages:
          description: A collection of available firmware images.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          type: array
          x-longDescription: A collection of available firmware images.
        AvailableFirmwareImages@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        DomainContents:
          description: Contains the members of the domain.
          oneOf:
          - $ref: '#/components/schemas/NVMeDomain_v1_2_0_DomainContents'
          - enum:
            - null
          x-longDescription: This property shall contain the members of the domain.
          x-versionAdded: v1_2_0
        DomainMembers:
          description: The members of the domain.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: false
          type: array
          x-longDescription: The members of the domain.
        DomainMembers@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        FirmwareImages:
          description: Contains an array of pointers to available firmware images.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of pointers to available
            firmware images.
          x-versionAdded: v1_2_0
        FirmwareImages@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Links:
          $ref: '#/components/schemas/NVMeDomain_v1_2_0_Links'
          description: The links to other resources that are related to this resource.
          x-longDescription: This property shall contain links to resources that are
            related to but are not contained by or subordinate to this resource.
        MaxNamespacesSupportedPerController:
          description: The maximum number of namespace attachments of this NVMe Domain.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain the maximum number of namespace
            attachments supported in this NVMe Domain. If there are no limits imposed,
            this property should not be implemented.
          x-versionAdded: v1_2_0
        MaximumCapacityPerEnduranceGroupBytes:
          description: The maximum capacity per endurance group in bytes of this NVMe
            Domain.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the maximum capacity per
            endurance group in bytes of this NVMe Domain.
          x-units: By
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: The status and health of the resource and its subordinate or
            dependent resources.
          x-longDescription: This property shall contain any status or health properties
            of the resource.
        TotalDomainCapacityBytes:
          description: The total capacity in bytes of this NVMe Domain.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the total capacity in bytes
            of this NVMe Domain.
          x-units: By
        UnallocatedDomainCapacityBytes:
          description: The total unallocated capacity in bytes of this NVMe Domain.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the total unallocated capacity
            in bytes of this NVMe Domain.
          x-units: By
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: Properties for the Domain.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    NVMeDomain_v1_2_0_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#NVMeDomain.v1_2_0.NVMeDomain'
x-copyright: Copyright 2015-2026 Storage Networking Industry Association (SNIA), USA.
  All rights reserved.
x-language: en
x-owningEntity: SNIA
x-release: 1.2.6
